equo upgrade 600 packages - fails with errors

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

equo upgrade 600 packages - fails with errors

Postby Richlion » Thu Jul 18, 2013 4:57

Hello,

last night I was running equo update & equo upgrade. I had over 600 packages to update. Equo complained "oh, sorry, I terminated with and error" and this is error at the end:
Traceback (most recent call last):
File "/usr/bin/equo", line 15, in <module>
main()
File "/usr/lib/entropy/client/solo/main.py", line 332, in main
exit_st = func(*func_args)
File "/usr/lib/entropy/client/solo/commands/command.py", line 360, in _call_locked
return func(client)
File "/usr/lib/entropy/client/solo/commands/upgrade.py", line 185, in _upgrade
relaxed, multifetch)
File "/usr/lib/entropy/client/solo/commands/upgrade.py", line 244, in _upgrade_action
package_matches=update)
File "/usr/lib/entropy/client/solo/commands/install.py", line 625, in _install_action
exit_st = pkg.run(xterm_header=xterm_header)
File "/usr/lib/entropy/lib/entropy/client/interfaces/package.py", line 4271, in run
rc = self._stepper(xterm_header)
File "/usr/lib/entropy/lib/entropy/client/interfaces/package.py", line 4256, in _stepper
rc = steps_data.get(step)()
File "/usr/lib/entropy/lib/entropy/client/interfaces/package.py", line 4154, in do_install_clean
return self._package_install_clean()
File "/usr/lib/entropy/lib/entropy/client/interfaces/package.py", line 3915, in _package_install_clean
automerge_metadata = self.pkgmeta['already_protected_config_files'])
File "/usr/lib/entropy/lib/entropy/client/interfaces/package.py", line 2102, in _remove_content_from_system
automerge_metadata, col_protect, protect, mask, sys_root)
File "/usr/lib/entropy/lib/entropy/client/interfaces/package.py", line 1986, in _remove_content_from_system_loop
os.lstat(sys_root_item_encoded)
OSError: [Errno 20] Not a directory: '/usr/share/espeak-data/voices/en/en-wm'

Frame _remove_content_from_system_loop in /usr/lib/entropy/lib/entropy/client/interfaces/package.py at line 1989
colliding_path_messages = set([])
info_dirs = [u'.', u'/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/info', u'/usr/share/gcc-data/x86_64-pc-linux-gnu/4.7.3/info', u'/usr/share/info']
in_mask = False
_pkg_id = 0
sys_root = ''
col_protect = 1
self = <entropy.client.interfaces.package.Package at 0x3682128 | metadata: {} | action: None, prepared: False>
do_continue = False
ftype = u'obj'
directories_cache = set([u'/usr/share/espeak-data/voices', u'/usr/share/espeak-data/voices/test'])
sys_root_item_encoded = '/usr/share/espeak-data/voices/en/en-wm'
sys_root_item = u'/usr/share/espeak-data/voices/en/en-wm'
inst_repo = <EntropySQLiteRepository instance at 0x1afc0d0, /var/lib/entropy/client/database/amd64/equo.db, ro: False|False, caching: True, indexing: True, name: __system__, skip_upd: False, st_upd: True, conn_pool: {}, cursor_cache: {}>
dirobj = u'/usr/share/espeak-data/voices'
remove_content = <entropy.client.interfaces.package.FileContentReader instance at 0x1e177a0>
protected_item_test = u'/usr/share/espeak-data/voices/en/en-wm'
dir_name = u'/usr/share/espeak-data/voices'
protect = [u'/etc/X11', u'/etc/X11/xorg.conf', u'/etc/conf.d', u'/etc/entropy', u'/etc/hosts']
automerge_metadata = {}
err = OSError(20, 'Not a directory')
directories = set([(u'/usr/share/espeak-data/voices/test', 'dir'), (u'/usr/share/espeak-data/voices', 'dir')])
mask = [u'/etc/pam.d']
item = u'/usr/share/espeak-data/voices/en/en-wm'
protected = False
x = u'/usr/share/espeak-data/voices/en/en-wm'
not_removed_due_to_collisions = set([])
>>



I sent this when requested. After a reboot everything looks fine, however Rigo still reports 58 packages to upgrade. What should I do?

Thanks
Richard
Richlion
Technological Hen
 
Posts: 393
Joined: Sun Nov 11, 2007 2:19
Location: Manchester

Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 4 guests